summaryrefslogtreecommitdiffstats
path: root/debian/squeeze
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2015-03-27 02:26:44 +0100
committerSlávek Banko <slavek.banko@axis.cz>2015-03-27 02:26:44 +0100
commitae112f4eb26973595ecc8e017b9470d24c2c5476 (patch)
tree7e9dc00a4fc93bdbf8a63690f9bd6e6f76bfe9a6 /debian/squeeze
parent7b7a5049a9808f028273a876d8d2f6f11d4ada9c (diff)
downloadtde-packaging-ae112f4eb26973595ecc8e017b9470d24c2c5476.tar.gz
tde-packaging-ae112f4eb26973595ecc8e017b9470d24c2c5476.zip
Force ldconfig due to tdeinit library on Debian and Ubuntu
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'debian/squeeze')
-rw-r--r--debian/squeeze/applications/kerry/debian/postinst1
-rw-r--r--debian/squeeze/applications/kpowersave/debian/postinst13
-rw-r--r--debian/squeeze/applications/tdepowersave/debian/tdepowersave-trinity.postinst1
-rw-r--r--debian/squeeze/tdebase/debian/kdesktop-trinity.postinst13
-rw-r--r--debian/squeeze/tdebase/debian/khelpcenter-trinity.postinst13
-rw-r--r--debian/squeeze/tdebase/debian/klipper-trinity.postinst13
-rw-r--r--debian/squeeze/tdebase/debian/kmenuedit-trinity.postinst13
-rw-r--r--debian/squeeze/tdebase/debian/konsole-trinity.postinst3
-rw-r--r--debian/squeeze/tdebase/debian/ksmserver-trinity.postinst4
-rw-r--r--debian/squeeze/tdebase/debian/tdeprint-trinity.postinst13
-rw-r--r--debian/squeeze/tdegraphics/debian/kmrml-trinity.postinst13
-rw-r--r--debian/squeeze/tdenetwork/debian/kdict-trinity.postinst13
-rw-r--r--debian/squeeze/tdenetwork/debian/ksirc-trinity.postinst13
-rw-r--r--debian/squeeze/tdesdk/debian/cervisia-trinity.postinst13
-rw-r--r--debian/squeeze/tdetoys/debian/kweather-trinity.postinst13
-rw-r--r--debian/squeeze/tdeutils/debian/ark-trinity.postinst13
-rw-r--r--debian/squeeze/tdeutils/debian/kcalc-trinity.postinst13
-rw-r--r--debian/squeeze/tdeutils/debian/kedit-trinity.postinst13
-rw-r--r--debian/squeeze/tdeutils/debian/tdelirc-trinity.postinst13
19 files changed, 203 insertions, 1 deletions
diff --git a/debian/squeeze/applications/kerry/debian/postinst b/debian/squeeze/applications/kerry/debian/postinst
index 98c4063a3..d0ff50431 100644
--- a/debian/squeeze/applications/kerry/debian/postinst
+++ b/debian/squeeze/applications/kerry/debian/postinst
@@ -4,6 +4,7 @@
set -e
if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
ldconfig
fi
diff --git a/debian/squeeze/applications/kpowersave/debian/postinst b/debian/squeeze/applications/kpowersave/debian/postinst
new file mode 100644
index 000000000..cf7c41189
--- /dev/null
+++ b/debian/squeeze/applications/kpowersave/debian/postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kpowersave-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/applications/tdepowersave/debian/tdepowersave-trinity.postinst b/debian/squeeze/applications/tdepowersave/debian/tdepowersave-trinity.postinst
index 6f092476e..a00246bd9 100644
--- a/debian/squeeze/applications/tdepowersave/debian/tdepowersave-trinity.postinst
+++ b/debian/squeeze/applications/tdepowersave/debian/tdepowersave-trinity.postinst
@@ -4,6 +4,7 @@
set -e
if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
ldconfig
fi
diff --git a/debian/squeeze/tdebase/debian/kdesktop-trinity.postinst b/debian/squeeze/tdebase/debian/kdesktop-trinity.postinst
new file mode 100644
index 000000000..0b3eb0b52
--- /dev/null
+++ b/debian/squeeze/tdebase/debian/kdesktop-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kdesktop-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdebase/debian/khelpcenter-trinity.postinst b/debian/squeeze/tdebase/debian/khelpcenter-trinity.postinst
new file mode 100644
index 000000000..b6b0656b7
--- /dev/null
+++ b/debian/squeeze/tdebase/debian/khelpcenter-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for khelpcenter-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdebase/debian/klipper-trinity.postinst b/debian/squeeze/tdebase/debian/klipper-trinity.postinst
new file mode 100644
index 000000000..b2c57de01
--- /dev/null
+++ b/debian/squeeze/tdebase/debian/klipper-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for klipper-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdebase/debian/kmenuedit-trinity.postinst b/debian/squeeze/tdebase/debian/kmenuedit-trinity.postinst
new file mode 100644
index 000000000..b3a79cc14
--- /dev/null
+++ b/debian/squeeze/tdebase/debian/kmenuedit-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kmenuedit-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdebase/debian/konsole-trinity.postinst b/debian/squeeze/tdebase/debian/konsole-trinity.postinst
index 72cf40e83..d7225354d 100644
--- a/debian/squeeze/tdebase/debian/konsole-trinity.postinst
+++ b/debian/squeeze/tdebase/debian/konsole-trinity.postinst
@@ -21,6 +21,9 @@ case "$1" in
configure)
update-alternatives --install /usr/bin/x-terminal-emulator x-terminal-emulator /opt/trinity/bin/konsole 35 \
--slave /opt/trinity/share/man/man1/x-terminal-emulator.1.gz x-terminal-emulator.1.gz /opt/trinity/share/man/man1/konsole-trinity.1.gz
+
+ # force ldconfig due to tdeinit library
+ ldconfig
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/squeeze/tdebase/debian/ksmserver-trinity.postinst b/debian/squeeze/tdebase/debian/ksmserver-trinity.postinst
index f5d73b934..eee248305 100644
--- a/debian/squeeze/tdebase/debian/ksmserver-trinity.postinst
+++ b/debian/squeeze/tdebase/debian/ksmserver-trinity.postinst
@@ -23,7 +23,9 @@ case "$1" in
x-session-manager /opt/trinity/bin/starttde 40 \
--slave /opt/trinity/share/man/man1/x-session-manager.1.gz \
x-session-manager.1.gz "/opt/trinity/share/man/man1/starttde-trinity.1.gz"
-
+
+ # force ldconfig due to tdeinit library
+ ldconfig
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/squeeze/tdebase/debian/tdeprint-trinity.postinst b/debian/squeeze/tdebase/debian/tdeprint-trinity.postinst
new file mode 100644
index 000000000..c812a9390
--- /dev/null
+++ b/debian/squeeze/tdebase/debian/tdeprint-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for tdeprint-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdegraphics/debian/kmrml-trinity.postinst b/debian/squeeze/tdegraphics/debian/kmrml-trinity.postinst
new file mode 100644
index 000000000..62563a4a4
--- /dev/null
+++ b/debian/squeeze/tdegraphics/debian/kmrml-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kmrml-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdenetwork/debian/kdict-trinity.postinst b/debian/squeeze/tdenetwork/debian/kdict-trinity.postinst
new file mode 100644
index 000000000..5076ff321
--- /dev/null
+++ b/debian/squeeze/tdenetwork/debian/kdict-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kdict-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdenetwork/debian/ksirc-trinity.postinst b/debian/squeeze/tdenetwork/debian/ksirc-trinity.postinst
new file mode 100644
index 000000000..1ee118baa
--- /dev/null
+++ b/debian/squeeze/tdenetwork/debian/ksirc-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for ksirc-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdesdk/debian/cervisia-trinity.postinst b/debian/squeeze/tdesdk/debian/cervisia-trinity.postinst
new file mode 100644
index 000000000..800a596bf
--- /dev/null
+++ b/debian/squeeze/tdesdk/debian/cervisia-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for cervisia-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdetoys/debian/kweather-trinity.postinst b/debian/squeeze/tdetoys/debian/kweather-trinity.postinst
new file mode 100644
index 000000000..99a084399
--- /dev/null
+++ b/debian/squeeze/tdetoys/debian/kweather-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kweather-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdeutils/debian/ark-trinity.postinst b/debian/squeeze/tdeutils/debian/ark-trinity.postinst
new file mode 100644
index 000000000..b919d035f
--- /dev/null
+++ b/debian/squeeze/tdeutils/debian/ark-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for ark-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdeutils/debian/kcalc-trinity.postinst b/debian/squeeze/tdeutils/debian/kcalc-trinity.postinst
new file mode 100644
index 000000000..6cf1c841c
--- /dev/null
+++ b/debian/squeeze/tdeutils/debian/kcalc-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kcalc-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdeutils/debian/kedit-trinity.postinst b/debian/squeeze/tdeutils/debian/kedit-trinity.postinst
new file mode 100644
index 000000000..1fa143a43
--- /dev/null
+++ b/debian/squeeze/tdeutils/debian/kedit-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kedit-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/squeeze/tdeutils/debian/tdelirc-trinity.postinst b/debian/squeeze/tdeutils/debian/tdelirc-trinity.postinst
new file mode 100644
index 000000000..9119d5017
--- /dev/null
+++ b/debian/squeeze/tdeutils/debian/tdelirc-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for tdelirc-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0